gtkmm: Gtk::IconTheme Class Reference

gtkmm 3.24.11

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::IconTheme Class Reference

`#include <gtkmm/icontheme.h>`

Inheritance diagram for Gtk::IconTheme:
[legend]

## Public Member Functions
| IconTheme (IconTheme && src) noexcept
IconTheme & | operator= (IconTheme && src) noexcept
| ~IconTheme () noexcept override
GtkIconTheme * | gobj ()
| Provides access to the underlying C GObject.
const GtkIconTheme * | gobj () const
| Provides access to the underlying C GObject.
GtkIconTheme * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_screen (const Glib::RefPtr< Gdk::Screen > & screen)
| Sets the screen for an icon theme; the screen is used to track the user’s currently configured icon theme, which might be different for different screens.
void | set_search_path (const std::vector< Glib::ustring > & path)
std::vector< Glib::ustring > | get_search_path () const
void | append_search_path (const Glib::ustring & path)
| Appends a directory to the search path.
void | prepend_search_path (const Glib::ustring & path)
| Prepends a directory to the search path.
void | add_resource_path (const std::string & path)
| Adds a resource path that will be looked at when looking for icons, similar to search paths.
void | set_custom_theme (const Glib::ustring & theme_name)
| Sets the name of the icon theme that the Gtk::IconTheme object uses overriding system configuration.
bool | has_icon (const Glib::ustring & icon_name) const
| Checks whether an icon theme includes an icon for a particular name.
std::vector< int > | get_icon_sizes (const Glib::ustring & icon_name) const
IconInfo | lookup_icon (const Glib::ustring & icon_name, int size, IconLookupFlags flags=(IconLookupFlags) 0) const
| Looks up a named icon and returns a structure containing information such as the filename of the icon.
IconInfo | lookup_icon (const Glib::ustring & icon_name, int size, int scale, IconLookupFlags flags=(IconLookupFlags) 0) const
| Looks up a named icon for a particular window scale and returns a Gtk::IconInfo containing information such as the filename of the icon.
IconInfo | lookup_icon (const Glib::RefPtr< const Gio::Icon > & icon, int size, IconLookupFlags flags=(IconLookupFlags) 0) const
| Looks up an icon and returns a Gtk::IconInfo containing information such as the filename of the icon.
IconInfo | lookup_icon (const Glib::RefPtr< const Gio::Icon > & icon, int size, int scale, IconLookupFlags flags=(IconLookupFlags) 0) const
| Looks up an icon and returns a Gtk::IconInfo containing information such as the filename of the icon.
IconInfo | choose_icon (const std::vector< Glib::ustring > & icon_names, int size, IconLookupFlags flags=(IconLookupFlags) 0)
| Looks up a named icon and returns a structure containing information such as the filename of the icon.
IconInfo | choose_icon (const std::vector< Glib::ustring > & icon_names, int size, int scale, IconLookupFlags flags=(IconLookupFlags) 0)
| Looks up a named icon for a particular window scale and returns a Gtk::IconInfo containing information such as the filename of the icon.
Glib::RefPtr< Gdk::Pixbuf > | load_icon (const Glib::ustring & icon_name, int size, IconLookupFlags flags=(IconLookupFlags) 0) const
| Looks up an icon in an icon theme, scales it to the given size and renders it into a pixbuf.
Glib::RefPtr< Gdk::Pixbuf > | load_icon (const Glib::ustring & icon_name, int size, int scale, IconLookupFlags flags=(IconLookupFlags) 0) const
| Looks up an icon in an icon theme for a particular window scale, scales it to the given size and renders it into a pixbuf.
::Cairo::RefPtr< ::Cairo::Surface > | load_surface (const Glib::ustring & icon_name, int size, int scale, const Glib::RefPtr< Gdk::Window > & for_window, IconLookupFlags flags=(IconLookupFlags) 0)
| Looks up an icon in an icon theme for a particular window scale, scales it to the given size and renders it into a cairo surface.
std::vector< Glib::ustring > | list_icons (const Glib::ustring & context) const
| Lists a subset of icons in the current icon theme, by providing a context string.
std::vector< Glib::ustring > | list_icons () const
| Lists the icons in the current icon theme.
std::vector< Glib::ustring > | list_contexts () const
| Gets the list of contexts available within the current hierarchy of icon themes.
Glib::ustring | get_example_icon_name () const
| Gets the name of an icon that is representative of the current theme (for instance, to use when presenting a list of themes to the user.).
bool | rescan_if_needed ()
| Checks to see if the icon theme has changed; if it has, any currently cached information is discarded and will be reloaded next time icon_theme is accessed.
Glib::SignalProxy< void > | signal_changed ()
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< IconTheme > | create ()
static Glib::RefPtr< IconTheme > | get_default ()
| Gets the icon theme for the default screen.
static Glib::RefPtr< IconTheme > | get_for_screen (const Glib::RefPtr< Gdk::Screen > & screen)
| Gets the icon theme object associated with screen; if this function has not previously been called for the given screen, a new icon theme object will be created and associated with the screen.
static void | add_builtin_icon (const Glib::ustring & icon_name, int size, const Glib::RefPtr< Gdk::Pixbuf > & pixbuf)
| Registers a built-in icon for icon theme lookups.

## Protected Member Functions
| IconTheme ()
virtual void | on_changed ()
| This is a default handler for the signal signal_changed().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::IconTheme > | wrap (GtkIconTheme * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Constructor & Destructor Documentation

## ◆ IconTheme() [1/2]

Gtk::IconTheme::IconTheme | ( | IconTheme && | src | ) |
| noexcept

## ◆ ~IconTheme()

Gtk::IconTheme::~IconTheme | ( |  | ) |
| overridenoexcept

## ◆ IconTheme() [2/2]

Gtk::IconTheme::IconTheme | ( |  | ) |
| protected

## Member Function Documentation

## ◆ add_builtin_icon()

void Gtk::IconTheme::add_builtin_icon | ( | const Glib::ustring & | icon_name,
|  | int | size,
|  | const Glib::RefPtr< Gdk::Pixbuf > & | pixbuf )
| static

Registers a built-in icon for icon theme lookups.

The idea of built-in icons is to allow an application or library that uses themed icons to function requiring files to be present in the file system. For instance, the default images for all of GTK+’s stock icons are registered as built-icons.

In general, if you use add_builtin_icon() you should also install the icon in the icon theme, so that the icon is generally available.

This function will generally be used with pixbufs loaded via gdk_pixbuf_new_from_inline().

Since gtkmm 2.4

Deprecated: 3.14: Use add_resource_path() to add application-specific icons to the icon theme.

Deprecated
  Use add_resource_path() to add application-specific icons to the icon theme.

Parameters

  icon_name | The name of the icon to register.
  size | The size in pixels at which to register the icon (different images can be registered for the same icon name at different sizes.).
  pixbuf | Gdk::Pixbuf that contains the image to use for icon_name.

## ◆ add_resource_path()

void Gtk::IconTheme::add_resource_path | ( | const std::string & | path | ) |

Adds a resource path that will be looked at when looking for icons, similar to search paths.

This function should be used to make application-specific icons available as part of the icon theme.

The resources are considered as part of the hicolor icon theme and must be located in subdirectories that are defined in the hicolor icon theme, such as @a path/16x16/actions/run.png. Icons that are directly placed in the resource path instead of a subdirectory are also considered as ultimate fallback.

Since gtkmm 3.14

Parameters

  path | A resource path.

## ◆ append_search_path()

void Gtk::IconTheme::append_search_path | ( | const Glib::ustring & | path | ) |

Appends a directory to the search path.

See set_search_path().

Since gtkmm 2.4

Parameters

  path | Directory name to append to the icon path.

## ◆ choose_icon() [1/2]

IconInfo Gtk::IconTheme::choose_icon | ( | const std::vector< Glib::ustring > & | icon_names,
|  | int | size,
|  | IconLookupFlags | flags = (IconLookupFlags) 0 )

Looks up a named icon and returns a structure containing information such as the filename of the icon.

The icon can then be rendered into a pixbuf using Gtk::IconInfo::load_icon(). (load_icon() combines these two steps if all you need is the pixbuf.)

If icon_names contains more than one name, this function tries them all in the given order before falling back to inherited icon themes.

Since gtkmm 2.12

Parameters

  icon_names | Array of icon names to lookup.
  size | Desired icon size.
  flags | Flags modifying the behavior of the icon lookup.

Returns
  A Gtk::IconInfo structure containing information about the icon. IconInfo::operator bool() will be false if the icon wasn't found - for instance, if (icon_info) { ... }.

## ◆ choose_icon() [2/2]

IconInfo Gtk::IconTheme::choose_icon | ( | const std::vector< Glib::ustring > & | icon_names,
|  | int | size,
|  | int | scale,
|  | IconLookupFlags | flags = (IconLookupFlags) 0 )

Looks up a named icon for a particular window scale and returns a Gtk::IconInfo containing information such as the filename of the icon.

The icon can then be rendered into a pixbuf using Gtk::IconInfo::load_icon(). (load_icon() combines these two steps if all you need is the pixbuf.)

If icon_names contains more than one name, this function tries them all in the given order before falling back to inherited icon themes.

Since gtkmm 3.10

Parameters

  icon_names | nullptr-terminated array of icon names to lookup.
  size | Desired icon size.
  scale | Desired scale.
  flags | Flags modifying the behavior of the icon lookup.

Returns
  A Gtk::IconInfo object containing information about the icon, or nullptr if the icon wasn’t found.

## ◆ create()

Glib::RefPtr< IconTheme > Gtk::IconTheme::create | ( |  | ) |
| static

## ◆ get_default()

Glib::RefPtr< IconTheme > Gtk::IconTheme::get_default | ( |  | ) |
| static

Gets the icon theme for the default screen.

See get_for_screen().

Since gtkmm 2.4

Returns
  A unique Gtk::IconTheme associated with the default screen. This icon theme is associated with the screen and can be used as long as the screen is open. Do not ref or unref it.

## ◆ get_example_icon_name()

Glib::ustring Gtk::IconTheme::get_example_icon_name | ( |  | ) | const

Gets the name of an icon that is representative of the current theme (for instance, to use when presenting a list of themes to the user.).

Since gtkmm 2.4

## ◆ get_for_screen()

Glib::RefPtr< IconTheme > Gtk::IconTheme::get_for_screen | ( | const Glib::RefPtr< Gdk::Screen > & | screen | ) |
| static

Gets the icon theme object associated with screen; if this function has not previously been called for the given screen, a new icon theme object will be created and associated with the screen.

Icon theme objects are fairly expensive to create, so using this function is usually a better choice than calling than new() and setting the screen yourself; by using this function a single icon theme object will be shared between users.

Since gtkmm 2.4

Parameters

  screen | A Gdk::Screen.

Returns
  A unique Gtk::IconTheme associated with the given screen. This icon theme is associated with the screen and can be used as long as the screen is open. Do not ref or unref it.

## ◆ get_icon_sizes()

std::vector< int > Gtk::IconTheme::get_icon_sizes | ( | const Glib::ustring & | icon_name | ) | const

## ◆ get_search_path()

std::vector< Glib::ustring > Gtk::IconTheme::get_search_path | ( |  | ) | const

## ◆ get_type()

GType Gtk::IconTheme::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkIconTheme * Gtk::IconTheme::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkIconTheme * Gtk::IconTheme::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkIconTheme * Gtk::IconTheme::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ has_icon()

bool Gtk::IconTheme::has_icon | ( | const Glib::ustring & | icon_name | ) | const

Checks whether an icon theme includes an icon for a particular name.

Since gtkmm 2.4

Parameters

  icon_name | The name of an icon.

Returns
  true if icon_theme includes an icon for icon_name.

## ◆ list_contexts()

std::vector< Glib::ustring > Gtk::IconTheme::list_contexts | ( |  | ) | const

Gets the list of contexts available within the current hierarchy of icon themes.

Since gtkmm 2.12

Returns
  A list holding the names of all the contexts in the theme.

## ◆ list_icons() [1/2]

std::vector< Glib::ustring > Gtk::IconTheme::list_icons | ( |  | ) | const

Lists the icons in the current icon theme.

Returns
  A list holding the names of all the icons in the theme.

Since gtkmm 2.10

## ◆ list_icons() [2/2]

std::vector< Glib::ustring > Gtk::IconTheme::list_icons | ( | const Glib::ustring & | context | ) | const

Lists a subset of icons in the current icon theme, by providing a context string.

The set of values for the context string is system dependent, but will typically include such values as 'Applications' and 'MimeTypes'.

Since gtkmm 2.4

Parameters

  context | A string identifying a particular type of icon.

Returns
  The names of all the icons in the theme.

## ◆ load_icon() [1/2]

Glib::RefPtr< Gdk::Pixbuf > Gtk::IconTheme::load_icon | ( | const Glib::ustring & | icon_name,
|  | int | size,
|  | IconLookupFlags | flags = (IconLookupFlags) 0 ) const

Looks up an icon in an icon theme, scales it to the given size and renders it into a pixbuf.

This is a convenience function; if more details about the icon are needed, use lookup_icon() followed by Gtk::IconInfo::load_icon().

Note that you probably want to listen for icon theme changes and update the icon. This is usually done by connecting to the GtkWidget::style-set signal. If for some reason you do not want to update the icon when the icon theme changes, you should consider using gdk_pixbuf_copy() to make a private copy of the pixbuf returned by this function. Otherwise GTK+ may need to keep the old icon theme loaded, which would be a waste of memory.

Since gtkmm 2.4

Parameters

  icon_name | The name of the icon to lookup.
  size | The desired icon size. The resulting icon may not be exactly this size; see Gtk::IconInfo::load_icon().
  flags | Flags modifying the behavior of the icon lookup.

Returns
  The rendered icon; this may be a newly created icon or a new reference to an internal icon, so you must not modify the icon. Use Glib::object_unref() to release your reference to the icon. nullptr if the icon isn’t found.

Exceptions

  Glib::Error |

## ◆ load_icon() [2/2]

Glib::RefPtr< Gdk::Pixbuf > Gtk::IconTheme::load_icon | ( | const Glib::ustring & | icon_name,
|  | int | size,
|  | int | scale,
|  | IconLookupFlags | flags = (IconLookupFlags) 0 ) const

Looks up an icon in an icon theme for a particular window scale, scales it to the given size and renders it into a pixbuf.

This is a convenience function; if more details about the icon are needed, use lookup_icon() followed by Gtk::IconInfo::load_icon().

Note that you probably want to listen for icon theme changes and update the icon. This is usually done by connecting to the GtkWidget::style-set signal. If for some reason you do not want to update the icon when the icon theme changes, you should consider using gdk_pixbuf_copy() to make a private copy of the pixbuf returned by this function. Otherwise GTK+ may need to keep the old icon theme loaded, which would be a waste of memory.

Since gtkmm 3.10

Parameters

  icon_name | The name of the icon to lookup.
  size | The desired icon size. The resulting icon may not be exactly this size; see Gtk::IconInfo::load_icon().
  scale | Desired scale.
  flags | Flags modifying the behavior of the icon lookup.

Returns
  The rendered icon; this may be a newly created icon or a new reference to an internal icon, so you must not modify the icon. Use Glib::object_unref() to release your reference to the icon. nullptr if the icon isn’t found.

Exceptions

  Glib::Error |

## ◆ load_surface()

::Cairo::RefPtr< ::Cairo::Surface > Gtk::IconTheme::load_surface | ( | const Glib::ustring & | icon_name,
|  | int | size,
|  | int | scale,
|  | const Glib::RefPtr< Gdk::Window > & | for_window,
|  | IconLookupFlags | flags = (IconLookupFlags) 0 )

Looks up an icon in an icon theme for a particular window scale, scales it to the given size and renders it into a cairo surface.

This is a convenience function; if more details about the icon are needed, use lookup_icon() followed by Gtk::IconInfo::load_surface().

Note that you probably want to listen for icon theme changes and update the icon. This is usually done by connecting to the GtkWidget::style-set signal.

Since gtkmm 3.10

Parameters

  icon_name | The name of the icon to lookup.
  size | The desired icon size. The resulting icon may not be exactly this size; see Gtk::IconInfo::load_icon().
  scale | Desired scale.
  for_window | Gdk::Window to optimize drawing for, or nullptr.
  flags | Flags modifying the behavior of the icon lookup.

Returns
  The rendered icon; this may be a newly created icon or a new reference to an internal icon, so you must not modify the icon. Use cairo_surface_destroy() to release your reference to the icon. nullptr if the icon isn’t found.

Exceptions

  Glib::Error |

## ◆ lookup_icon() [1/4]

IconInfo Gtk::IconTheme::lookup_icon | ( | const Glib::RefPtr< const Gio::Icon > & | icon,
|  | int | size,
|  | IconLookupFlags | flags = (IconLookupFlags) 0 ) const

Looks up an icon and returns a Gtk::IconInfo containing information such as the filename of the icon.

The icon can then be rendered into a pixbuf using Gtk::IconInfo::load_icon().

When rendering on displays with high pixel densities you should not use a size multiplied by the scaling factor returned by functions like gdk_window_get_scale_factor(). Instead, you should use lookup_by_gicon_for_scale(), as the assets loaded for a given scaling factor may be different.

Since gtkmm 2.14

Parameters

  icon | The Gio::Icon to look up.
  size | Desired icon size.
  flags | Flags modifying the behavior of the icon lookup.

Returns
  A Gtk::IconInfo containing information about the icon, or nullptr if the icon wasn’t found. Unref with Glib::object_unref().

## ◆ lookup_icon() [2/4]

IconInfo Gtk::IconTheme::lookup_icon | ( | const Glib::RefPtr< const Gio::Icon > & | icon,
|  | int | size,
|  | int | scale,
|  | IconLookupFlags | flags = (IconLookupFlags) 0 ) const

Looks up an icon and returns a Gtk::IconInfo containing information such as the filename of the icon.

The icon can then be rendered into a pixbuf using Gtk::IconInfo::load_icon().

Since gtkmm 3.10

Parameters

  icon | The Gio::Icon to look up.
  size | Desired icon size.
  scale | The desired scale.
  flags | Flags modifying the behavior of the icon lookup.

Returns
  A Gtk::IconInfo containing information about the icon, or nullptr if the icon wasn’t found. Unref with Glib::object_unref().

## ◆ lookup_icon() [3/4]

IconInfo Gtk::IconTheme::lookup_icon | ( | const Glib::ustring & | icon_name,
|  | int | size,
|  | IconLookupFlags | flags = (IconLookupFlags) 0 ) const

Looks up a named icon and returns a structure containing information such as the filename of the icon.

The icon can then be rendered into a pixbuf using Gtk::IconInfo::load_icon(). (load_icon() combines these two steps if all you need is the pixbuf.)

Since gtkmm 2.4

Parameters

  icon_name | The name of the icon to lookup.
  size | Desired icon size.
  flags | Flags modifying the behavior of the icon lookup.

Returns
  An IconInfo structure containing information about the icon. IconInfo::operator bool() will return false if the icon wasn't found. For instance, if (icon_info) { ... }.

## ◆ lookup_icon() [4/4]

IconInfo Gtk::IconTheme::lookup_icon | ( | const Glib::ustring & | icon_name,
|  | int | size,
|  | int | scale,
|  | IconLookupFlags | flags = (IconLookupFlags) 0 ) const

Looks up a named icon for a particular window scale and returns a Gtk::IconInfo containing information such as the filename of the icon.

The icon can then be rendered into a pixbuf using Gtk::IconInfo::load_icon(). (load_icon() combines these two steps if all you need is the pixbuf.)

Since gtkmm 3.10

Parameters

  icon_name | The name of the icon to lookup.
  size | Desired icon size.
  scale | The desired scale.
  flags | Flags modifying the behavior of the icon lookup.

Returns
  A Gtk::IconInfo object containing information about the icon, or nullptr if the icon wasn’t found.

## ◆ on_changed()

virtual void Gtk::IconTheme::on_changed | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_changed().

## ◆ operator=()

IconTheme & Gtk::IconTheme::operator= | ( | IconTheme && | src | ) |
| noexcept

## ◆ prepend_search_path()

void Gtk::IconTheme::prepend_search_path | ( | const Glib::ustring & | path | ) |

Prepends a directory to the search path.

See set_search_path().

Since gtkmm 2.4

Parameters

  path | Directory name to prepend to the icon path.

## ◆ rescan_if_needed()

bool Gtk::IconTheme::rescan_if_needed | ( |  | ) |

Checks to see if the icon theme has changed; if it has, any currently cached information is discarded and will be reloaded next time icon_theme is accessed.

Since gtkmm 2.4

Returns
  true if the icon theme has changed and needed to be reloaded.

## ◆ set_custom_theme()

void Gtk::IconTheme::set_custom_theme | ( | const Glib::ustring & | theme_name | ) |

Sets the name of the icon theme that the Gtk::IconTheme object uses overriding system configuration.

This function cannot be called on the icon theme objects returned from get_default() and get_for_screen().

Since gtkmm 2.4

Parameters

  theme_name | Name of icon theme to use instead of configured theme, or nullptr to unset a previously set custom theme.

## ◆ set_screen()

void Gtk::IconTheme::set_screen | ( | const Glib::RefPtr< Gdk::Screen > & | screen | ) |

Sets the screen for an icon theme; the screen is used to track the user’s currently configured icon theme, which might be different for different screens.

Since gtkmm 2.4

Parameters

  screen | A Gdk::Screen.

## ◆ set_search_path()

void Gtk::IconTheme::set_search_path | ( | const std::vector< Glib::ustring > & | path | ) |

## ◆ signal_changed()

Glib::SignalProxy< void > Gtk::IconTheme::signal_changed | ( |  | ) |

Slot Prototype:
  void on_my_changed()

Flags: Run Last

Emitted when the current icon theme is switched or GTK+ detects that a change has occurred in the contents of the current icon theme.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::IconTheme > wrap | ( | GtkIconTheme * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.